@extends('dashboard.dashboard_layouts.dashboard_master')

@section('admin_dashboard_title')
Poll Details
@endsection

@section('admin_dashboard_css')
<link href="{{asset('assets/plugins/amazeui-datetimepicker/css/amazeui.datetimepicker.css')}}" rel="stylesheet">
<link href="{{asset('assets/plugins/jquery-simple-datetimepicker/jquery.simple-dtpicker.css')}}" rel="stylesheet">
<link href="{{asset('assets/plugins/pickerjs/picker.min.css')}}" rel="stylesheet">
<link href="{{asset('assets/plugins/select2/css/select2.min.css')}}" rel="stylesheet">

<script src="https://www.google.com/jsapi"></script>
<style>
    .pie-chart {
        width: 600px;
        height: 400px;
        margin: 0 auto;
    }
    .text-center{
        text-align: center;
    }

    .td:hover {
        cursor: pointer;
    }

    .clsDatePicker {
        z-index: 100000;
    }

    body {
        background-color: #f5f5f5;
    }

    .bootstrap-tagsinput{
        width: 100%;
    }
    .label-info{
        background-color: #17a2b8;

    }
    .label {
        display: inline-block;
        padding: .25em .4em;
        font-size: 75%;
        font-weight: 700;
        line-height: 1;
        text-align: center;
        white-space: nowrap;
        vertical-align: baseline;
        border-radius: .25rem;
        transition: color .15s ease-in-out,background-color .15s ease-in-out,
        border-color .15s ease-in-out,box-shadow .15s ease-in-out;
    }
</style>
@endsection

@section('admin_dashboard_content')
<!-- breadcrumb -->
<div class="breadcrumb-header justify-content-between">
    <nav class="breadcrumb-4 p-2 px-3">
        <ol class="breadcrumb breadcrumb-style1">
            <li class="breadcrumb-item">
                <a href="{{ route('dashboard') }}">Dashboard</a>
            </li>
            <li class="breadcrumb-item">
                <a href="{{ route('poll') }}">Polling list</a>
            </li>
            <li class="breadcrumb-item active">{{ ucwords($polling->polling_name) }}</li>
        </ol>

    </nav>
</div>
<!-- breadcrumb -->

<div class="row mb-3">
    <div class="col-lg-8">
        <h2>{{ ucwords($polling->polling_name) }}</h2>
    </div>

    <div class="col-lg-2 text-right">
        <button class="btn btn-primary w-100" id="DownloadPdf" data-id="{{ $polling->id }}" data-name="{{ $polling->polling_name }}"> <i class=" fa fa-spinner fa-spin pdfDownload fa-pulse" style="display:none"></i> Download PDF</button>
        <a href="" id="downloadfile" fileName=""></a>
        @csrf

    </div>
    <div class="col-lg-2 text-right">
        <button class="btn btn-success w-100" data-bs-toggle="modal" data-bs-target="#ShareModal"> <i
                class="typcn typcn-link mx-2"></i>Share</button>
    </div>

    @foreach($questions as $question_1)

        <input type="hidden" id="bar{{$question_1->id}}base64">
        <input type="hidden" id="chart{{$question_1->id}}base64">

        <canvas style="display:none" id="bar{{$question_1->id}}"></canvas>
        <canvas style="display:none" id="chart{{$question_1->id}}"></canvas>

    @endforeach

</div>

<div class="row mb-5">

    <div class="col-sm-12 col-lg-12">
        <div class="card shadow-sm">
            <div class="card-body">
                <div class="row">
                    <div class="col text-center ">
                        <input type="hidden" id="polling_id" value="{{$polling->id}}">
                        <label class="tx-12 text-primary fw-bold"><i class="fas fa-folder-open"></i> Total
                            Questions</label>
                        <p class="fw-bold tx-20">
                            {{count($polling->pollingListWithResponce)}}
                        </p>
                    </div><!-- col -->
                    <div class="col border-start text-center ">
                        <label class="tx-12 text-warning fw-bold"> <i class="fas fa-hourglass-start"></i> Total
                            Submission</label>
                        <p class="fw-bold tx-20">
                            {{count($polling->polling_qrcode_hits)}}
                        </p>
                    </div><!-- col -->
                    <div class="col border-start text-center ">
                        <label class="tx-12 text-success fw-bold"><i class="fas fa-check-square"></i> Status</label>

                        <p class="fw-bold tx-20">{{ ($polling->status == 0) ? 'Pending' : 'Completed' }}</p>

                    </div><!-- col -->
                </div><!-- row -->
            </div>
        </div>
    </div>

    <div class="accordion" id="accordionPanelsStayOpenExample">

        <div class="accordion-item" id="questionsDiv">
            @if(count($polling->pollingListWithResponce) > 0)
                @foreach($polling->pollingListWithResponce as $question_with_response)
                    {{-- <h1>hello</h1> --}}

                    @if($question_with_response->input == 'text')
                        {{-- <h1>text</h1> --}}
                        @include('poll.components.poll_detail.text-input')
                    @elseif($question_with_response->input == 'radio')
                        {{-- <h1>radio</h1> --}}
                        @include('poll.components.poll_detail.radio-input')
                    @elseif($question_with_response->input == 'checkbox')
                        {{-- <h1>checkbox</h1> --}}
                        @include('poll.components.poll_detail.checkbox-input')
                    @elseif($question_with_response->input == 'ranking')
                        {{-- <h1>ranking</h1> --}}
                        @include('poll.components.poll_detail.ranking')
                    @elseif($question_with_response->input == 'rating')
                        {{-- <h1>rating</h1> --}}
                        @include('poll.components.poll_detail.rating-input')
                    @elseif($question_with_response->input == 'true / false')
                        {{-- <h1>true / false</h1> --}}
                        @include('poll.components.poll_detail.true-false')
                    @endif

                @endforeach
            @endif

        </div>

    </div>

    <div class="modal fade" id="ShareModal" tabindex="-1" aria-labelledby="ShareModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="ShareModalLabel">Share</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                    <div class="modal-body">
                            <form id="share">

                                <input type="hidden" value="{{$polling->id}}" name="polling_id">

                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">

                                            <label>
                                                <span class="mr-2"></span>
                                                <span>Email</span>
                                            </label>
                                            <input type="text" multiple="multiple" name="email"  id="share_email" data-role="tagsinput"   class="form-control" required
                                                placeholder="Enter email address to share..">
                                            <small>Add comma (,) for multiple emails</small>

                                        </div>
                                    </div>
                                </div>

                                <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                                    <button type="submit" class="btn btn-primary" id="btnSubmitShare"> <i class="fa fa-spinner fa-pluse fa-spin  spin-share"  style="display:none;"></i> Share</button>
                                </div>
                            </form>
                    </div>

                </div>
        </div>
    </div>

    <div class="modal fade" id="NotesModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <form id="updatenotes">
                <input type="hidden" name="notes_updated_question_id" id="notes_updated_question_id" value="">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Notes</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <div class="form-group">
                            <label for="">Notes</label>
                            <textarea class="form-control notes" name="notes" id="text_area_value" cols="30" rows="2"
                                placeholder="Add Notes..."></textarea>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary" id="btnSubmit"> <i class="fa fa-spinner fa-spin fa-pulse"
                                style="display:none"></i>
                            Add Notes</button>
                    </div>
                </div>
            </form>
        </div>
    </div>

    <div class="modal fade" id="exampleModal1" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Create action</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>

            <div class="modal-body">
                <form id="addtask">
                    <input type="hidden" name="question_id" id="taskid">
                    <div class="form-group">
                        <label for="">Title of action</label>
                        <input type="text" class="form-control" name="title" id="" required
                            placeholder="Enter title of action">
                    </div>
                    <div class="form-group">
                        <label for="">Description</label>
                        <textarea class="form-control" name="description" required id="" cols="30" rows="2"
                            placeholder="Enter description"></textarea>
                    </div>
                    <div class="form-group">
                        <label for="">Status</label>
                        <select name="status" id="" required class="form-control">
                            <option value="" selected disable>Select Status</option>
                            <option value="1">In progress</option>
                            <option value="2">Complete</option>
                            <option value="0">Can't do</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label for="">Users</label>
                        <br>
                        @foreach($users as $user)
                        <div>
                            <input type="checkbox" name="member_id[]" multiple value="{{$user->id}}">
                            {{$user->first_name}}
                            {{$user->last_name}}
                        </div>
                        @endforeach

                    </div>
                    <div class="form-group">
                        <label for="">Priority</label>
                        <select name="priority" id="" required class="form-control">
                            <option value="" selected disable> Select Priority</option>
                            <option value="low">Low priority</option>
                            <option value="medium">Medium priority</option>
                            <option value="high">High priority</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label for="">Due Date</label>
                        <input class="form-control" required name="date" type="date" value="dd/mm/yyyy">

                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary" id="btnSubmittask">
                            <i class="fa fa-spinner fa-spintask fa-pulse" style="display:none"></i>Assign Task
                        </button>
                    </div>
                </form>
            </div>

            </div>
        </div>
    </div>

</div>

@php
    $env = ENV('APP_URL');
    $question = $questions[0]->id
@endphp

@endsection

@section('admin_dashboard_script')
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-tagsinput/0.8.0/bootstrap-tagsinput.js" integrity="sha512-VvWznBcyBJK71YKEKDMpZ0pCVxjNuKwApp4zLF3ul+CiflQi6aIJR+aZCP/qWsoFBA28avL5T5HA+RE+zrGQYg==" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/apexcharts"></script>
<script src="{{asset('assets/js/advanced-form-elements.js')}}"></script>
<script>

    $(document).ready(function(e){

        $('.edit-row').click(function() {
            var question_id_for_notes_update = $(this).attr('data-questionId');
            $('#notes_updated_question_id').val(question_id_for_notes_update);
        });

        //update notes
        $("#updatenotes").on('submit', (function(e) {
            e.preventDefault();

            var question_id = $('#notes_updated_question_id').val();
            var span_id = '#notes_value_'+question_id;
            if ($('#text_area_value').val().trim() === '') {
                toastr.error('Failed', 'Write any note in field')
                return false;
            }

            $.ajax({

                url: "/api/poll/update/notes",

                type: "post",

                data: new FormData(this),

                dataType: "JSON",

                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content'),
                },

                processData: false,

                contentType: false,

                cache: false,

                beforeSend: function() {

                    $("#btnSubmit").attr('disabled', true);

                    $(".fa-spin").css('display', 'inline-block');

                },

                complete: function() {

                    $("#btnSubmit").attr('disabled', false);

                    $(".fa-spin").css('display', 'none');

                },

                success: function(response) {

                    if (response["status"] == "fail") {

                        toastr.error('Failed', response["msg"])

                    } else if (response["status"] == "success") {

                        toastr.success('Success', response["msg"]);

                        $(span_id).text(response.note_value);

                        $("#NotesModal").modal("hide");

                        $("#updatenotes")[0].reset();

                        // getPollQuestions()

                    }

                },

                error: function(error) {

                    console.log(error);

                }

            });
        }));
        // Generate PDF


        $(document).on('click','#downloadfile',function (e){
            e.preventDefault();  //stop the browser from following
            var fileUrl = $(this).attr('href');

            fetch(fileUrl)
                .then(resp => resp.blob())
                .then(blob => {
                    const url = window.URL.createObjectURL(blob);
                    const a = document.createElement('a');
                    a.style.display = 'none';
                    a.href = url;
                    // the filename you want
                    a.download = $(this).attr('fileName');
                    document.body.appendChild(a);
                    a.click();
                    window.URL.revokeObjectURL(url);
                    deleteFile()
                })
        });

        function deleteFile(){
            var file=$("#downloadfile").attr('fileName');
            $.ajax({
                url: '/api/poll/delete/file/',
                type: "post",
                data:{file:file},
                dataType: "JSON",
                success: function (response) {
                    console.log(response)
                },
                error: function (error) {

                },
                async: false
            });
        }

        //generate pdf all start
        $('#DownloadPdf').click(function() {
            // alert('hello');
            // return false;
            $('.chart_first').map(function(key, value) {
                all_data[key].first_chart = $(this).val();
                // return $(this).val();
            }).get();

            $('.chart_second').map(function(key, value) {
                all_data[key].second_chart = $(this).val();
                // return $(this).val();
            }).get();

            // console.log(all_data);
            // return false;

            var polling_id = $(this).data('id');
            var polling_name = $(this).data('name');

            $.ajax({
                url: "/poll/GenereateAll/Pdf",
                type: "POST",
                data:{
                    _token : $('input[name="_token"]').val(),
                    all_data: all_data,
                    polling_id: polling_id,
                    polling_name: polling_name,
                },
                dataType: "json",
                beforeSend: function() {
                    $("#pdfDownload").attr('disabled', true);
                    $(".pdfDownload").css('display', 'inline-block');
                },
                complete: function() {
                    $("#pdfDownload").attr('disabled', false);
                    $(".pdfDownload").css('display', 'none');
                },
                success: function(response) {
                    if(response["status"]=="success"){
                        $("#downloadfile").attr('href','{{ $appUrl }}'+response["filename"]);
                        $("#downloadfile").attr('fileName',response['filename']);
                        $("#downloadfile").click();
                    }
                },
                error: function(error){
                    console.log(error)
                }
            });

        });
        //generate pdf all end

    });

</script>

@endsection

