@extends('frontpartials.main')
@section('title')
Contribute to campaign
@endsection

@section('content')


<!-- forms -->
<div class="row">

    <div class="col-lg-12">
        <div class="card shadow-sm">
            <form id="polling_response_form">
                <input type="hidden" name="polling_id" id="polling_id" value="{{$polling_id}}">
                <input type="hidden" name="polling_qrcode_id"  value="{{$polling}}">
                <input type="hidden" name="client_id"  value="{{$user->id}}">

                <div class="p-3">
                    <h3 class="jobhd">Questionnaire</h3>
                    {{-- <!-- <span class="spanp">Please put information in the form bellow to join with us</span> --> --}}
                </div>

                <div class="row">
                    @forelse($questions as $key => $question)
                        {{$question->question}}
                    @empty
                        <div>Question not found</div>
                    @endforelse
                </div>

                <div class="row" id="questionsDiv">

                </div>
                <button type="submit" class="btn btn-primary custom-button m-3"> <i class="fas fa-spinner fa-spin"
                        style="display:none"></i> Submit</button>
            </form>
        </div>

    </div>
    <div class="col-lg-2"></div>
</div>


@endsection
@section('scripts')

<script>

    $(document).ready(function(e){
        var polling_id = $("#polling_id").val()
        // getPollQuestions()
        function getPollQuestions(){
            $("#questionsDiv").html('');
            $.ajax({
                url: "/api/poll/"+polling_id+"/questions",
                type: "GET",
                dataType: "JSON",
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                processData: false,
                contentType: false,
                cache: false,
                beforeSend: function() {

                },
                complete: function() {

                },
                success: function(response) {
                    console.log(response)

                    $("#questionsDiv").html(response.html);
                },
                error: function(error) {
                    console.log(error);
                }
            });
        }
    });


    $("#polling_response_form").on('submit', (function(e) {
        e.preventDefault();
        var checkBoxRequired= $('input[name="is_required_multiple[]"]').map(function(){
            return this.value;
        }).get();

        var is_submit = true;
        $.each(checkBoxRequired,(i,v)=>{
            var isDisplay = $('#divQuestion'+v).css('display')
            var checkedValues= $('input[name="radio_response_id'+v+'[]"]:checked').map(function(){
                return this.value;
            }).get();
            if(checkedValues.length <= 0 && isDisplay == 'block'){
                $("#required_error"+v).css('display','block')
                is_submit = false
            }else{
                $("#required_error"+v).css('display','none')
            }
        })

        if(is_submit){
            $.ajax({
                url: "/api/save/polling/question",
                type: "post",
                data: new FormData(this),
                dataType: "JSON",
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                processData: false,
                contentType: false,
                cache: false,
                beforeSend: function() {
                    $("#btnSubmit").attr('disabled', true);
                    $(".fa-spin").css('display', 'inline-block');
                },
                complete: function() {
                    $("#btnSubmit").attr('disabled', false);
                    $(".fa-spin").css('display', 'none');
                },
                success: function(response) {
                    console.log(response)
                    if (response["status"] == "fail") {
                        toastr.error('Failed', response["msg"])

                    } else if (response["status"] == "success") {

                        toastr.success('Success', response["msg"])
                        window.location.href = "{{route('thankyou')}}";

                    }
                },
                error: function(error) {
                    console.log(error);
                }
            });
        }

    }));


    $(document).on('change', '.question', function(e) {
        var questionResponse = $(this).val()

        var questionId = $(this).attr('db-id')
        var childId = $("#child"+questionId).val()

        var logicTrigger = $("#logic_trigger"+questionId).val()
        var logicResponse = $("#logic_response"+questionId).val()
        var multiple = $("#multiple_checkbox"+questionId).val()

        if (logicTrigger == 1){
            if(multiple == 0){
                if (logicResponse == questionResponse) {
                    $("#divQuestion"+childId).css('display','block');

                    if($("#is_required"+childId).val() == 1){
                        $('#radio_response_id'+childId+'0').attr('required','required');
                    }
                }else{
                    if($("#divQuestion"+childId).length){
                        $("#divQuestion"+childId).css('display','none');
                        $('#radio_response_id'+childId+'0').removeAttr('required');
                    }
                }
            }else{
                var checkBoxVal= $('input[name="'+$(this).attr('name')+'"]:checked').map(function(){
                    return this.value;
                }).get();
                if(checkBoxVal.includes(logicResponse)){
                    $("#divQuestion"+childId).css('display','block');
                    if($("#multiple_checkbox"+childId).val() == 0 && $("#is_required"+childId).val() == 1){
                        $('#radio_response_id'+childId+'0').attr('required','required');
                    }
                }else{
                    if($("#divQuestion"+childId).length){
                        $("#divQuestion"+childId).css('display','none');
                    }
                }
            }
        }

    })
</script>

@endsection
